- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

GAuth::SaslClient Member List

This is the complete list of members for GAuth::SaslClient, including all inherited members.

active() const | GAuth::SaslClient |
initial_response(const std::string &mechanism, bool &done, bool &error, bool &sensitive) const | GAuth::SaslClient |
preferred(const G::Strings &mechanisms) const | GAuth::SaslClient |
response(const std::string &mechanism, const std::string &challenge, bool &done, bool &error, bool &sensitive) const | GAuth::SaslClient |
SaslClient(const Secrets &secrets, const std::string &server_name) | GAuth::SaslClient |
~SaslClient() | GAuth::SaslClient |